/*                          
 * mBench: The Open Source Micro Benchmark Tool 
 *                                             
 * Distributable under GPL license. 
 * See terms of license at gnu.org.                 
 *
 * Copyright (C) 2005 Sumisho Computer Systems Corp.
 */
package test.jp.co.scs.mbench.stub;

import jp.co.scs.mbench.FinalizeManager;
import jp.co.scs.mbench.BenchmarkState;

/**
 *      @author Masato Koga
 */
public class StubFinalizeMainFM extends FinalizeManager {

    protected String currentState = null;

    public StubFinalizeMainFM(String finalizerName) {
        super(finalizerName);
    }

    public void execute() {
        this.currentState = BenchmarkState.BENCHMARK_TERMINATED;
    }

    public String getCurrentState() {
        return this.currentState;
    }

    public void setCurrentState(String currentState) {
        this.currentState = currentState;
    }
}
